2011-08-27 00:00:00
Requirements: Morrowind, Tribunal, Bloodmoon, and MWSE(the latest version of MGE with internal MWSE will work)     Description:   I always had a problem with the "hit-and-miss" gameplay and I know there are other mods that solve this problem, but they never really d...